=== tests/benchmarks/picking/picking/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(benchmark_picking LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(benchmark_picking
    SOURCES
        tst_picking.cpp
    LIBRARIES
        Qt::Quick3DRuntimeRenderPrivate
)
