=== debian/control ===
Source: qt6-quick3d
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               libassimp-dev (>= 5.1.6~),
               libgl-dev,
               libopenxr-dev (>= 1.0.29~) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-glx0-dev,
               libxcb-xkb-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.3+dfsg~),
               qt6-base-private-dev (>= 6.8.3+dfsg~),
               qt6-declarative-dev (>= 6.8.3+dfsg~),
               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
               qt6-quick3d-dev:native <cross>,
               qt6-quicktimeline-dev (>= 6.8.3~),
               qt6-shadertools-dev (>= 6.8.3~),
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d.git
Rules-Requires-Root: no

Package: libqt6quick3d6
Provides: qt6-quick3d-private-abi (= 6.8.3),
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D library.

Package: libqt6quick3dassetimport6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Asset Import library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Asset Import library.

Package: libqt6quick3dassetutils6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Asset Utils library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Asset Utils library.

Package: libqt6quick3dglslparser6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D GLS Parser library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D GLS Parser library.

Package: libqt6quick3diblbaker6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D IblBaker library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D IblBaker library.

Package: libqt6quick3druntimerender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Runtime Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Runtime Renderer library.

Package: libqt6quick3dutils6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Utils library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Utils library.

Package: libqt6quick3dxr6
Architecture: alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Extended Reality library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Extended Reality library.

Package: qt6-quick3d-assetimporters-plugin
Architecture: any
Multi-Arch: same
Depends: libqt6quick3d6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick 3D Assimp Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D's Assimp Import plugin.

Package: qml6-module-qtquick3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: qml6-module-quick3d,
Replaces: qml6-module-quick3d,
Description: Qt 6 Quick 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D QML module.

Package: qml6-module-qtquick3d-assetutils
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: qml6-module-quick3d-assetutils,
Replaces: qml6-module-quick3d-assetutils,
Description: Qt 6 Quick 3D Asset Utils QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Asset Utils QML module.

Package: qml6-module-qtquick3d-effects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3deffects6, qml6-module-quick3d-effects,
Replaces: libqt6quick3deffects6, qml6-module-quick3d-effects,
Description: Qt 6 Quick 3D Effects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Effects QML module.

Package: qml6-module-qtquick3d-helpers
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Replaces: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Description: Qt 6 Quick 3D Helpers QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Helpers QML module.

Package: qml6-module-qtquick3d-materialeditor
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Material Editor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Material Editor QML module.

Package: qml6-module-qtquick3d-particleeffects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
Replaces: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
Description: Qt 6 Quick 3D Particle Effects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Particle Effects QML module.

Package: qml6-module-qtquick3d-particles3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Description: Qt 6 Quick 3D Particles 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Particles 3D QML module.

Package: qml6-module-qtquick3d-xr
Architecture: alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Description: Qt 6 Quick 3D Extended Reality QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Extended Reality QML module.

Package: qt6-qmltooling-quick3dprofiler-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmltooling Quick3D profiler plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling Quick3D profiler plugin.

Package: qt6-quick3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6quick3d6 (= ${binary:Version}),
         libqt6quick3dassetimport6 (= ${binary:Version}),
         libqt6quick3dassetutils6 (= ${binary:Version}),
         libqt6quick3dglslparser6 (= ${binary:Version}),
         libqt6quick3diblbaker6 (= ${binary:Version}),
         libqt6quick3druntimerender6 (= ${binary:Version}),
         libqt6quick3dutils6 (= ${binary:Version}),
         libqt6quick3dxr6 (= ${binary:Version}) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
         qml6-module-qtquick3d (= ${binary:Version}),
         qml6-module-qtquick3d-assetutils (= ${binary:Version}),
         qml6-module-qtquick3d-effects (= ${binary:Version}),
         qml6-module-qtquick3d-helpers (= ${binary:Version}),
         qml6-module-qtquick3d-materialeditor (= ${binary:Version}),
         qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
         qml6-module-qtquick3d-particles3d (= ${binary:Version}),
         qml6-module-qtquick3d-xr (= ${binary:Version}) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
         qt6-base-dev,
         qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
         qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
         qt6-quick3d-dev-tools (= ${binary:Version}),
         qt6-shadertools-dev,
         ${misc:Depends},
Description: Qt 6 Quick 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D library.

Package: qt6-quick3d-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-quick3d-dev (= ${binary:Version}), ${misc:Depends},
