=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: qt6-quick3d
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libassimp-dev (>= 5.1.6~),
                libgl-dev,
                libopenxr-dev (>= 1.0.29~) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
@@ -19,16 +19,16 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
                qt6-quick3d-dev:native <cross>,
-               qt6-quicktimeline-dev (>= 6.8.3~),
-               qt6-shadertools-dev (>= 6.8.3~),
+               qt6-quicktimeline-dev (>= 6.9.1~),
+               qt6-shadertools-dev (>= 6.9.1~),
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
 Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
@@ -36,7 +36,7 @@
 Rules-Requires-Root: no
 
 Package: libqt6quick3d6
-Provides: qt6-quick3d-private-abi (= 6.8.3),
+Provides: qt6-quick3d-private-abi (= 6.9.1),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -287,3 +287,5 @@
 Multi-Arch: same
 Section: libdevel
 Depends: qt6-quick3d-dev (= ${binary:Version}), ${misc:Depends},
+Breaks: qt6-quick3d-dev (<< 6.6.1-1),
+Replaces: qt6-quick3d-dev (<< 6.6.1-1),
